pine(1)

NAZWA
pine - program do czytania grup dyskusyjnych i poczty elektronicznej

SKŁADNIA
pine [ opcje ] [ adres , adres ] pinef [ opcje ] [ adres , adres ]

OPIS
Pine jest pełnoekranowym programem do czytania wiadomości. W swojej domyślnej konfiguracji Pine prezentuje celowo ograniczony zestaw opcji przeznaczony dla początkującego użytkownika. Istnieje jednak wciąż rosnąca lista opcjonalnych możliwości przeznaczonych dla zaawansowanych użytkowników. pinef jest wersją programu Pine używającym klawiszy funkcyjnych zamiast jednoliterowych poleceń. W podstawowym zestawie poleceń znajdują się następujące opcje:

    View (przeglądanie), Save (zapis), Export (zapis do pliku), Delete (usuwanie), Print (drukowanie), Reply (odpowiadanie) i Forward (dalsze przesyłanie wiadomości).

    Tworzenie wiadomości w prostym edytorze (Pico) z automatycznym łamaniem linii i kontrolą pisowni. Edycja wiadomości może być odkładana do późniejszej kontynuacji.

    Pełnoekranowy wybór i zarządzanie folderami.

    Książka adresowa, w której znajdują się często używane lub po prostu długie adresy. Można definiować własne listy dystrybucyjne. Adresy mogą być pobierane z otrzymywanych wiadomości bez potrzeby odpowiadania na nie.

    Sprawdzanie, czy otrzymano nowe wiadomości jest wykonywane co 2.5 minuty oraz po pewnych poleceniach, np. odświeżaniu ekranu (Ctrl-L).

    Kontekstowa pomoc.

Pine obsługuje MIME (Multipurpose Internet Mail Extensions), internetowy standard reprezentacji wieloczęściowych i multimedialnych danych w wiadomościach. Pine pozwala na zapis obiektów MIME do plików i w pewnych sytuacjach może uruchomić odpowiedni program do oglądania takich wiadomości. Pine używa systemowego pliku konfiguracyjnego mailcap by uruchomić właściwy program do obsługi poszczególnych obiektów MIME. Wbudowany program do tworzenia wiadomości nie posiada właściwości multimedialnych, lecz dowolny typ danych - włącznie z multimedialnymi - może zostać umieszczony w wiadomości jako załącznik. Pozwala to posiadaczom programów pocztowych zgodnych z MIME na wymianę sformatowanych dokumentów, arkuszy kalkulacyjnych, plików graficznych etc. przez pocztę elektroniczną.

Do obsługi lokalnych i zdalnych folderów pocztowych Pine używa interfejsu c-client (c-client messaging API). Ta biblioteka pozwala na wykonywanie wielu niskopoziomowych funkcji obsługi poczty, włączając w to funkcje obsługi wielu formatów pocztowych, protokołu IMAP (Internet Message Access Protocol) oraz NNTP (Network News Transport Protocol). Poczta wychodząca jest zazwyczaj przekazywana programowi sendmail, ale może być wysyłana bezpośrednio przez SMTP (Simple Mail Transfer Protocol).

OPCJE
Pine rozpoznaje następujące opcje linii poleceń:

adres
    Wysłanie wiadomości na podany adres e-mailowy. Pine uruchomi się w trybie tworzenia wiadomości.

-a  Specjalny anonimowy tryb działania dla UWIN* (* patrz niżej)

-c numer_kontekstu
    mumer_kontekstu jest numerem odnoszącym się do kolekcji folderów, do którego powinien zostać zastosowany argument -f linii poleceń. Domyślnie opcja -f jest stosowana do pierwszej zdefiniowanej kolekcji folderów.

-d poziom_diagnostyki
    Wypisywanie informacji diagnostycznych na poziomie poziom_diagnostyki (0-9) do bieżącego pliku .pine-debug[1-4]. Wartość 0 wyłącza informacje diagnostyczne i wstrzymuje tworzenie pliku .pine-debug.

-d klucz[=wartość]
    Szczegółowy opis tworzenia informacji diagnostycznych; "flush" powoduje zapisywanie plików diagnostycznych bez buforowania, "timestamp" dołącza do każdego komunikatu czas jego wygenerowania, "imap=n" (gdzie n przybiera wartości od 0 do 4) powoduje dołączanie telemetrii (ang. telemetry) IMAP na podanym poziomie, "numfiles=n" (gdzie n przybiera wartość od 0 do 31) opisuje ilość tworzonych plików diagnostycznych i wreszcie "verbose=n" (gdzie n przybiera wartości od 0 do 9) jest odwrotnym progiem poziomu generowania ogólnych wiadomości o działaniu programu.

-f folder
    Otwarcie folderu (w pierwszej zdefiniowanej kolekcji folderów) zamiast INBOX.

-F plik
    Otwarcie podanego pliku tekstowego w przeglądarce programu Pine.

-h  Pomoc: lista rozpoznawanych opcji linii poleceń.

-i  Otwarcie indeksu folderów po uruchomieniu programu.

-I klawisze
    Lista klawiszy (rozdzielona przecinkami), których naciśnięcie Pine powinien zasymulować zaraz po uruchomieniu.

-k  Wywoływanie poleceń klawiszami funkcyjnymi. Identyczne działanie ma uruchomienie programu pinef.

-n numer
    Uruchomienie programu z automatycznym otworzeniem wiadomości o podanym numerze.

-nr Specjalny tryb dla UWIN*

-o  Otwarcie pierwszego folderu w trybie tylko do odczytu.

-p plik_konfiguracyjny
    Użycie podanego pliku w charakterze pliku konfiguracyjnego zamiast domyślnego .pinerc.

-P plik_konfiguracyjny
    Użycie podanego pliku w charakterze pliku konfiguracyjnego zamiast domyślnego pliku systemowego pine.conf.

-r  Uruchomienie w trybie demonstracyjnym o ograniczonej funkcjonalności. Pine będzie wysyłał pocztę tylko do siebie samego, a funkcje typu save i export nie będą działały.

-z  Udostępnienie możliwości przeniesienia programu Pine do tła klawiszem ^Z lub sygnałem SIGTSTP.

-conf
    Utworzenie wzorcowego pliku jako szablonu dla systemowego pliku konfiguracyjnego pine.conf na standardowym wyjściu. Jest to inny plik niż indywidualny dla każdego użytkownika .pinerc.

-create_lu książka_adresowa porządek_sortowania
    Utworzenie dodatkowego indeksu dla książki adresowej o podanej nazwie i posortowanie jej w podanym porządku. Możliwe wartości dla porządku sortowania, to dont-sort (brak sortowania), nickname (skrót nazwy adresata), fullname (pełna nazwa adresata), nickname-with-lists-last (skrót nazwy, ale listy na końcu), or fullname-with-lists-last (pełna nazwa, ale listy na końcu). Jest to użyteczne do tworzenia globalnych lub dzielonych książek adresowych. Po utworzeniu w ten sposób indeksu, plik powinien zostać przeniesiony lub skopiowany w taki sposób, by zmianie nie uległ czas modyfikacji. Czas modyfikacji książki adresowej jest zachowywany w nowotworzonym pliku z indeksem i przy każdym uruchomieniu programu sprawdzany. Jeżeli czas modyfikacji książki adresowej ulegnie zmianie, pine utworzy indeks od nowa. Innymi słowy, po utworzeniu indeksu za pomocą opisywanej opcji, nie kopiuj książki adresowej do jej docelowego położenia w taki sposób, który zmieni jej czas modyfikacji.

-pinerc plik
    Zapisanie bieżącej konfiguracji programu do podanego pliku.

-sort porządek_sortowania
    Posortowanie ekranu FOLDER INDEX w jednej z następujących kolejności: arrival (czas nadejścia), subject (temat), from (pole from), date (data), size (rozmiar), orderedsubj (pseudo wątek) lub reverse (odwrotna kolejność). Arrival jest domyślnym porządkiem sortowania. Porządek OrderedSubj symuluje sortowanie pod kątem wątków. Każdy porządek sortowania może zostać odwrócony przez dodanie do niego /reverse. Reverse bez dodatkowych opcji działa jak arrival/reverse.

-option=wartość
    Nadanie opcji konfiguracyjnej podanej wartości. Np. -signature-file=sig1 lub -feature-list=signature-at-bottom (Uwaga: wartości opcji feature-list są addytywne)

* UWIN = University of Washington Information Navigator

KONFIGURACJA
Istnieje kilka poziomów konfiguracji programu Pine. Wartości konfiguracyjne na danym poziomie mają wyższy priorytet niż te wartości na niższych poziomach. W porządku rosnącego priorytetu:
 o wbudowane wartości domyślne.
 o plik pine.conf dla całego systemu.
 o osobisty plik .pinerc każdego użytkownika (wartości w nim można ustawiać za pomocą menu Setup/Config).
 o opcje linii poleceń
 o plik pine.conf.fixed dla całego systemu. Istnieje wyjątek od zasady, w myśl której wartości konfiguracyjne są zastępowane przez wartości tych samych opcji o wyższym priorytecie: wartości nadawane zmiennej feature-list są addytywne, lecz mogą być zanegowane dołączeniem "no-" na początku danej wartości dla tej zmiennej. Pine w systemie Unix używa następujących zmiennych środowiskowych.
  TERM
  DISPLAY (określa, czy Pine może wyświetlać załączniki typu IMAGE).
  SHELL (domyślną wartością jest /bin/sh, jeżeli ta zmienna nie jest ustawiona).
  MAILCAPS (lista ścieżek do plików mailcap rozdzielonych średnikami).

PLIKI
/var/spool/mail/xxxx    Domyślny folder dla przychodzącej poczty.
~/mail    Domyślny katalog dla folderów.
~/.addressbook    Domyślna nazwa pliku z książką adresową.
~/.addressbook.lu    Domyślna nazwa pliku z indeksem książki adresowej.
~/.pine-debug[1-4]    Pliki, do których zapisywane są komunikaty diagnostyczne.
~/.pinerc    Osobisty plik konfiguracyjny.
~/.newsrc    Opis stanu subskrybowanych grup dyskusyjnych.
~/.signature    Domyślna nazwa pliku z sygnaturą.
~/.mailcap    Osobisty plik mailcap (man mailcap(4))
~/.mime.types    Osobiste rozszerzenie rozpoznawanych typów MIME
/etc/mailcap    Systemowy plik mailcap (man mailcap(4))
/etc/mime.types    Systemowe opis rozpoznawanych typów MIME
/usr/lib/pine.info    Lokalny wskaźnik do administratora systemu
/usr/lib/pine.conf    Systemowy plik konfiguracyjny
/usr/lib/pine.conf.fixed     Plik konfiguracyjny, którego ustawienia nie mogą być zmieniane
/tmp/.\var\spool\mail\xxxx    Pliki blokujące dla każdego folderu
~/.pine-interrupted-mail    Wiadomość, której tworzenie zostało przerwane
~/mail/postponed-msgs    Wiadomość, której tworzenie zostało odłożone na później
~/mail/sent-mail    Archiwum wysłanych wiadomości
~/mail/saved-messages    Domyślny folder na zapisywane wiadomości

ZOBACZ TAKŻE
pico(1), binmail(1), aliases(5), mailaddr(7), sendmail(8), spell(1), imapd(8)
Grupa dyskusyjna: comp.mail.pine
Pine Information Center: http://www.washington.edu/pine
Dystrybucja źródłowa: ftp://ftp.cac.washington.edu/pine/pine.tar.Z
Pine Technical Notes (informacje techniczne), zawarte w dystrybucji źródłowej
Interfejs (API) biblioteki przesyłania wiadomościC-Client, zawarty w dytrybucji źródłowej.

PODZIĘKOWANIA
Zespół rozwoju programu Pine (część UW Office
of Computing & Communications) na Uniwersytecie w Waszyngtonie
(University of Washington):
 Project Leader:           Mike Seibel.
 Principal authors:        Mike Seibel, Steve Hubert, Laurence Lundblade.
 C-Client library & IMAPd: Mark Crispin.
 Pico, the PIne COmposer:  Mike Seibel.
 Bug triage, user support: David Miller.
 Port integration:         David Miller.
 Documentation:            David Miller, Stefan Kramer, Kathryn Sharpe.
 PC-Pine for DOS:          Mike Seibel.
 PC-Pine for Windows:      Tom Unger.
 Project oversight:        Terry Gray.
 Principal Patrons:        Ron Johnson, Mike Bryant.
 Additional support:       NorthWestNet.
 Initial Pine code base:   Elm, by Dave Taylor & USENET Community Trust.
 Initial Pico code base:   MicroEmacs 3.6, by Dave G. Conroy.
 User Interface design:    Inspired by UCLA's "Ben" mailer for MVS.
 Suggestions/fixes/ports:  Folks from all over!
Copyright 1989-1996 by the University of Washington.
Pine i Pico są zastrzeżonymi znakami handlowymi Uniwersytetu w Waszyngtonie
98.05.06